# Accept a proposed item

`POST /memory/{id}/activate` · Rivier · memory

Accept a proposed item.

- Scope: memory:write
- Mcp: rivier_personas_memory_activate
- Graphql: Mutation.memoryItemActivate
- Sdk: memory.item.activate
- Cli: memory item activate

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "why": {
      "type": "string",
      "maxLength": 200
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/memory/{id}/activate' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "why": "string"
}'
```
